Is Joomla 3.9.24 php 8 compatible?

Need help installing Joomla! 3.x? For all Joomla! 3.x installation issues please use this forum.
Post Reply
User avatar
darb
Joomla! Ace
Joomla! Ace
Posts: 1705
Joined: Thu Jul 06, 2006 12:57 pm
Location: Stockholm Sweden
Contact:

Is Joomla 3.9.24 php 8 compatible?

Post by darb » Mon Jan 18, 2021 1:35 pm

Hi

my host have implemented php 8 and I tested that to Joomla 3.9.24 sites but get an "error" so it doesnt work.

Q: Is Joomla 3.9.24 compatible with php 8 yet ?

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 13261
Joined: Thu Feb 15, 2007 5:48 am
Location: Zagreb, Croatia

Re: Is Joomla 3.9.24 php 8 compatible?

Post by toivo » Mon Jan 18, 2021 2:28 pm

Did you install just Joomla 3.9.24 out-of-the-box or did you upgrade an existing site to 3.9.24?

Do you have any further details about the "error"?
Toivo Talikka, Global Moderator

User avatar
darb
Joomla! Ace
Joomla! Ace
Posts: 1705
Joined: Thu Jul 06, 2006 12:57 pm
Location: Stockholm Sweden
Contact:

Re: Is Joomla 3.9.24 php 8 compatible?

Post by darb » Mon Jan 18, 2021 3:50 pm

Hi Toivo

no I update an existing site(s) and I checked 3 sites similar structure and setup.

I have Admin Tools htaccess maker FW etc on all of them. Dont know if its any extensions of Joomla 3.9.24 that is the problem.

Does Joomla 3.9.24 works for anyone?

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 13261
Joined: Thu Feb 15, 2007 5:48 am
Location: Zagreb, Croatia

Re: Is Joomla 3.9.24 php 8 compatible?

Post by toivo » Mon Jan 18, 2021 4:50 pm

There has been an odd problem reported in the forum in connection with 3.9.24 but the issue has most likely been caused by some third party extension that does not support latest version of PHP. Maybe also some template override that has not been refactored.

My test site on Windows 10 localhost works happily in PHP 8.0.1 and has a few third party extensions.
Toivo Talikka, Global Moderator


Post Reply

Return to “Installation Joomla! 3.x”